
Flourish - Feature #6776

Switching between cohort

21/02/2023 02:31 - Coulson Kgathi

Status: Closed Start date: 20/02/2023

Priority: Normal Due date: 05/05/2023

Assignee: % Done: 70%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Description

Create functionality to switch a participant from one cohort to another once they age out of a cohort. The participant should be able to

continue follow-ups on their next cohort. This might mean we create a schedule for sequential participation follow-ups whose forms will be

driven by rule groups dependent on which cohort they aged out to.

Criteria for sequential if a participant was enrolled in cohort X and gets to an age that does not fall within that cohort and now their age

falls within the next cohort. A participant can not be in 2 cohorts at the same time, which means you take them off schedule from the

current cohort and put them on schedule for the new follow-up schedule. It is assumed that all enrolment visits will be from the cohort they

aged out of.

History

#1 - 06/03/2023 08:22 - Ame Diphoko

- Assignee set to Coulson Kgathi

#2 - 11/04/2023 07:02 - Coulson Kgathi

- Due date set to 28/04/2023

- % Done changed from 0 to 20

#3 - 02/05/2023 14:45 - Coulson Kgathi

- % Done changed from 20 to 70

Stuck on an issue that has affected completion

#4 - 02/05/2023 14:46 - Coulson Kgathi

- Due date changed from 28/04/2023 to 05/05/2023

#5 - 05/02/2024 12:38 - Ame Diphoko

- Assignee deleted (Coulson Kgathi)

#6 - 28/02/2024 11:22 - Ame Diphoko

- Status changed from New to Resolved

#7 - 06/03/2024 10:02 - Samuel Wilson Kgole

- Status changed from Resolved to Closed

This is sequential cohort'ing and is already pushed to live.
